#!/bin/bash  

SYS="/etc/sysconfig/envole"


. ParseDico

# compatibilite

NOM_ETAB=$libelle_etab
DNS_ETAB=$domaine_messagerie_etab




PASS_ROOT=`/usr/bin/pwgen -1sn 8`;
echo "UPDATE user SET password=PASSWORD('$PASS_ROOT') WHERE user='root';
flush  privileges;" | mysql --defaults-file=/etc/mysql/debian.cnf mysql


if [ ! -d /var/lib/mysql/webcalendar ]
then
PASS_WEBCALENDAR=`/usr/bin/pwgen -1sn 12`
echo "DROP DATABASE IF EXISTS webcalendar;
CREATE DATABASE webcalendar;
GRANT ALL PRIVILEGES ON webcalendar.* TO 'webcalendar'@'localhost'
IDENTIFIED BY '$PASS_WEBCALENDAR' WITH GRANT OPTION;" | mysql -u root --password=$PASS_ROOT > /dev/null

mysql webcalendar -u root -p$PASS_ROOT < $SYS/scribe_calendar.sql


# FIXME : conflit de nom !
#sed -e "s@PASS_WEBCALENDAR@"$PASS_WEBCALENDAR"@"  $SYS/settings.php.ori > $SYS/settings_cas.php.ori
sed -e "s@PASS_WEBCALENDAR@"$PASS_WEBCALENDAR"@"  $SYS/settings-calendar.php.ori > $SYS/settings_cas.php.ori
sed -e "s@NOM_DOMAINE@"$DNS_ETAB"@"  $SYS/settings_cas.php.ori > /var/www/html/calendar/includes/settings.php
rm $SYS/settings_cas.php.ori

fi

ldapsearch -x -b "o=gouv,c=fr" "(objectclass=classe)" > test.ldap
while read line ;do
 	 if [[ $line == cn* ]]
      then
        classe=`echo $line | cut -d ":" -f2 | cut -d " " -f2`
        PASS_CLASSE=`/usr/bin/pwgen -1sn 14`;
        id Meta_classe_$classe &>/dev/null || /usr/share/eole/backend/creation-prof.py -u "Meta_classe_$classe" \
        -m "meta_classe_$classe" -p "$PASS_CLASSE" -f "meta_classe_$classe" -x 1 -M local -p 1 -z 0 -c autre -q 0;
	
 echo "INSERT INTO webcal_nonuser_cals VALUES ('_NUC_$classe', '$classe','$classe','admin');" | mysql webcalendar -u root -p$PASS_ROOT
 
      fi
done < test.ldap
rm test.ldap

 

mysql cel_conf -u root -p$PASS_ROOT <$SYS/scribe_calendar_cel_conf.sql



# pour le local_apps et module.ini
cp $SYS/calendar.ini /usr/share/sso/app_filters/
sed -e "s@NOM_DOMAINE@"$DNS_ETAB"@" $SYS/local_apps_calendar.ini  > $SYS/local_apps_calendar.ini.1

cat $SYS/local_apps_calendar.ini.1 >> /usr/share/sso/app_filters/local_apps.ini
rm $SYS/local_apps_calendar.ini.1
# pour le profil
#cp $SYS/sso/user_infos/* /usr/share/sso/user_infos/

chown -R www-data:www-data /var/www/html/*

#/etc/init.d/apache2 restart
/etc/init.d/eole-sso restart
