#!/bin/bash


# A mettre a jour pour un nouveau script
NUM_MAJ=1
MODULE=calendar
#placer ici les modifications de fichiers

SYS="/etc/sysconfig/envole"


. ParseDico

# compatibilite

NOM_ETAB=$libelle_etab
DNS_ETAB=$domaine_messagerie_etab


#les modifications de bases de donnees seront effectuees si vous nommez une maj au nom maj_envole_module_numversion.sql
# la base de donnees sera automatiquement sauvegarde

if [ -e $SYS/maj_envole_${MODULE}_${NUM_MAJ}.sql ]
then

cd /root/
## Sauvegarde des bases de donnees en fichiers .sql

PASS_WEBCALENDAR=$(echo `grep db_password /var/www/html/calendar/includes/settings.php ` | cut -d":" -f2|cut -d' ' -f2)
mysqldump -uwebcalendar -p$PASS_WEBCALENDAR  webcalendar > ${MODULE}_`date +%D | sed 's;/;-;g'`.sql
## Compression des exports en tar.bz2 
tar jcf ${MODULE}_maj_env_${NUM_MAJ}_`date +%D | sed 's;/;-;g'`.sql.tar.bz2 ${MODULE}_`date +%D | sed 's;/;-;g'`.sql
## Suppression des exports non compresses
rm ${MODULE}_`date +%D | sed 's;/;-;g'`.sql

##passage de la maj bdd
sed -e "s@NOM_DOMAINE@"$DNS_ETAB"@"  $SYS/maj_envole_${MODULE}_$NUM_MAJ.sql > $SYS/maj_envole_${MODULE}_$NUM_MAJ.sql.1

mysql webcalendar -u webcalendar -p$PASS_WEBCALENDAR <  $SYS/maj_envole_${MODULE}_$NUM_MAJ.sql.1
rm  $SYS/maj_envole_${MODULE}_$NUM_MAJ.sql.1

# FIXME : conflit de nom !
#sed -e "s@PASS_WEBCALENDAR@"$PASS_WEBCALENDAR"@"  $SYS/settings.php.ori > $SYS/settings_cas.php.ori
sed -e "s@PASS_WEBCALENDAR@"$PASS_WEBCALENDAR"@"  $SYS/settings-calendar.php.ori > $SYS/settings_cas.php.ori
sed -e "s@NOM_DOMAINE@"$DNS_ETAB"@"  $SYS/settings_cas.php.ori > /var/www/html/calendar/includes/settings.php
rm $SYS/settings_cas.php.ori
fi



# A toujours laisser en fin de script de mise a jour, permet la mise a jour de la base de donnees cel_conf et assure que la mise a jour ne sera pas executee deux fois

PASS_CEL_CONF=$(echo `grep db_pass_cel_conf /var/www/html/envole/connect_cel_conf.php` | cut -d"=" -f2|cut -d'"' -f2)

echo "use cel_conf; UPDATE cel_param SET value='$NUM_MAJ' WHERE param='version_${MODULE}' ; " | mysql -u cel_conf --password=$PASS_CEL_CONF > /dev/null
echo "Fin de la mise a jour $MODULE " $NUM_MAJ 
